/* Connection Window */

function OBM_LoadConnectionSettings() {
	document.getElementById("syncLocation").value = UtilsOBM.getCharPref("extensions.obm.server", "");
	document.getElementById("webLocation").value = UtilsOBM.getCharPref("extensions.obm.obmUrl", "");
	var username = {};
	var password = {};
	if ( UtilsOBM.getOBMCredentials(username, password) ) {
		document.getElementById("username").value = username.value;
		document.getElementById("password").value = password.value;
	}
	document.getElementById("savepassword").checked = UtilsOBM.getBoolPref("extensions.obm.rememberpassword", true);
}
function OBM_LoadPasswordSettings() {
	var username = {};
	var password = {};
	if ( UtilsOBM.getOBMCredentials(username, password) ) {
		if (password.value != "notConfiguredPassword") {
			document.getElementById("password").value = password.value;
		} else {
			document.getElementById("password").value = "";
		}
	}
	document.getElementById("savepassword").checked = UtilsOBM.getBoolPref("extensions.obm.rememberpassword", true);
}

function OBM_SaveConnectionSettings(cancel) {
	try {
		var globalData = Components.classes["@obm.org/globaldata;1"].getService().wrappedJSObject;
		if (cancel) {
			globalData.cancel = true;
			return;
		} else {
			globalData.cancel = false;
		}

		UtilsOBM.setCharPref("extensions.obm.server", document.getElementById("syncLocation").value);
		UtilsOBM.setCharPref("extensions.obm.obmUrl", document.getElementById("webLocation").value);

		var remember = document.getElementById("savepassword").checked;
		UtilsOBM.setBoolPref("extensions.obm.rememberpassword",remember);

		if (remember){
			UtilsOBM.setOBMCredentials(document.getElementById("username").value,
						document.getElementById("password").value);
		} else {
			UtilsOBM.setOBMCredentials(document.getElementById("username").value, "");
			UtilsOBM.setTemporaryPassword(document.getElementById("password").value);
		}
	} catch (e) {
		gLogger.error(e,true,false);
	}
}

function OBM_SavePasswordSettings(cancel) {
	var globalData = Components.classes["@obm.org/globaldata;1"].getService().wrappedJSObject;
	if (cancel) {
		globalData.cancel = true;
		return;
	} else {
		globalData.cancel = false;
	}
	UtilsOBM.setBoolPref("extensions.obm.rememberpassword",
		document.getElementById("savepassword").checked);
	if (document.getElementById("savepassword").checked){
		var username = {};
		var password = {};
		if (UtilsOBM.getOBMCredentials(username, password)){
			UtilsOBM.setOBMCredentials(username.value,
			document.getElementById("password").value);
		} else {
			UtilsOBM.setTemporaryPassword(document.getElementById("password").value);
		}
	} else {
		UtilsOBM.setTemporaryPassword(document.getElementById("password").value);
	}
}
