/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 1997-2008 Aliasource - Groupe LINAGORA
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  http://www.obm.org/
 *
 * ***** END LICENSE BLOCK ***** */
/* Calendar Base Synchronizer */


var scriptLoader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
                             .createInstance(Components.interfaces.mozIJSSubScriptLoader);

if ( typeof(Base_Synchronizer) == "undefined" ) {
  scriptLoader.loadSubScript("chrome://obm-extension/content/calendar/synchronizer/Base_Synchronizer.js");
}

if ( typeof(UtilsOBM) == "undefined" ) {
  scriptLoader.loadSubScript("chrome://obm-extension/content/calendar/UtilsOBM.js");
}

function Calendar_Base_Synchronizer() {
    this.mSupportedContainerType = Components.interfaces.calICalendar;
}

Calendar_Base_Synchronizer.prototype = {
  __proto__: new Base_Synchronizer(),

  getContainerOBMName: function(aContainer /* calICalendar */) {
      return UtilsOBM.getCalendarOBMName(aContainer);
  },

  getItemFromContainer: function(aContainer /* calICalendar */, aItemID) {
      return UtilsOBM.getCalendarItem_Synchronous(aContainer, aItemID);
  },

  getItemID: function(aItem) {
      return aItem.id;
  },

  setItemID: function(aContainer, aItem, aNewID) {
      var modifiedItem = aItem.clone();
      modifiedItem.id = aNewID;
      //FIXME: Where is this function ?? I commented it to avoid exceptions
      //this.updateLocalItem_ItemBase(aContainer, modifiedItem, aItem);
  }
};
