/* ***** BEGIN LICENSE BLOCK *****
 *
 * Copyright (c) 1997-2008 Aliasource - Groupe LINAGORA
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  General Public License for more details.
 *
 *  http://www.obm.org/
 *
 * ***** END LICENSE BLOCK ***** */

// Request formaters

function _appendXMLElement(aRootElement, aChildElementName, aChildElementValue) {
	if ( aChildElementValue === undefined || aChildElementValue === null ) {
	  //append nothing
	} else {
	  aRootElement[aChildElementName] = aChildElementValue;
	}
}


function _sX(value) {
	return (value ? value : "");
}


// Response formaters


function _xS(value) {
	// FIXME : toString() ?
	return (value.length() == 1) ? value + "" : "";
}

function _xL(value, def) {
	if ( typeof value == "number" ) {
		return parseInt(value, 10);
	}
	if (value.length() == 1)
		return parseInt(value + "", 10);
	if (def)
		return def;
	return 0;
}

function _xD(value) {
	return (value.length() == 1) ? parseFloat(value + "") : 0;
}

function _xB(value) {
	return value + "" == "true";
}


function _sF(value) {
	return (value ? value : null);
}


